Subject: bug#12221: 24.2; shell completion can not handle multiple candidates

From: Leo <[email-masked]>
Date: Wed, 03 Oct 2012 13:49:05 +0800

On 2012-08-18 10:31 +0800, Leo wrote:
> 1. Emacs -q
> 2. (setq completion-cycle-threshold 3)
> 3. M-x shell
> 4. fu <tab>
>
> In OSX, the last step completes to `fuser' ignoring `funzip'. The
> completion cannot cycle because of the extra ' ' inserted which
> demonstrates one of the failures of completion-at-point as reported in
> http://debbugs.gnu.org/11906.

And of course when this is broken, M-! (shell-command) breaks as well. I
wonder if there is any plan in fixing up completion-at-point for 24.3.
This thing has been implanted in so many places in emacs that when it
breaks it hurts badly!

Regards,
Leo